BlackBerry Forums Support Community               

Closed Thread
LinkBack Thread Tools
Old 09-23-2009, 08:55 PM   #1 (permalink)
New Member
Join Date: Jan 2007
Model: 8703e
Carrier: Bell
Posts: 10
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Missing Lib

Please Login to Remove!

Hi there,

I have developed a Java app which runs as expected in the simulator, but fails to install on a real device with error message:

“This application requires the following module, which is not installed: net_rim_m2g”

What am I missing?

Old 09-24-2009, 01:43 AM   #2 (permalink)
BBF Spam Killer Moderator
daphne's Avatar
Join Date: May 2007
Location: on a sunny beach
Model: Paspt
Carrier: VZW but not for long
Posts: 9,172
Post Thanks: 122
Thanked 149 Times in 118 Posts

Moved to Developer Forum
Report spam text messages to 7726
#BlackBerry by choice
Old 09-24-2009, 08:27 AM   #3 (permalink)
BlackBerry Extraordinaire
Join Date: Mar 2008
Location: Austin, TX
Model: 9700
Carrier: T-Mobile
Posts: 1,644
Post Thanks: 0
Thanked 34 Times in 33 Posts

Most likely a version issue. What OS level on the device? on the Simulator?

What JDE did you use?
Closed Thread

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On

Copyright © 2004-2014
The names RIM © and BlackBerry © are registered Trademarks of BlackBerry Inc.